> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteTableRows

> Allows selective deletion of rows or complete clearance of a table.



## OpenAPI

````yaml /tables-openapi.json post /v1/tables/{table}/rows/delete
openapi: 3.0.0
info:
  title: Botpress Tables API
  description: API for Botpress Tables
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
paths:
  /v1/tables/{table}/rows/delete:
    post:
      tags:
        - Endpoints
      description: Allows selective deletion of rows or complete clearance of a table.
      operationId: deleteTableRows
      parameters:
        - name: table
          in: path
          description: >-
            The table's name or unique identifier for targeting specific table
            operations.
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
        - name: x-integration-name
          in: header
          description: Integration name
          required: false
          schema:
            type: string
        - name: x-user-id
          in: header
          description: User Id
          required: false
          schema:
            type: string
        - name: x-user-role
          in: header
          description: User Role
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/deleteTableRowsBody'
      responses:
        '200':
          $ref: '#/components/responses/deleteTableRowsResponse'
        default:
          $ref: '#/components/responses/deleteTableRowsResponse'
components:
  requestBodies:
    deleteTableRowsBody:
      description: Identifiers of the rows to be deleted.
      content:
        application/json:
          schema:
            type: object
            properties:
              ids:
                type: array
                items:
                  type: number
                  maximum: 2147483647
                maxItems: 1000
              filter:
                type: object
                additionalProperties: true
                description: >-
                  Filter to apply when deleting rows. Deletion with a filter is
                  performed asynchronously in batches and returns a job object
                  to track progress. Example: \{ "createdAt": \{ "$lt":
                  "2026-01-01" \} \}
              deleteAllRows:
                type: boolean
                description: >-
                  Flag to delete all rows. Use with caution as this action is
                  irreversible.
            title: deleteTableRowsBody
            additionalProperties: false
  responses:
    deleteTableRowsResponse:
      description: >-
        Confirms the number of rows successfully deleted. When using a filter,
        returns a job object for tracking async progress.
      content:
        application/json:
          schema:
            type: object
            properties:
              deletedRows:
                type: number
              job:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                required:
                  - id
                  - status
                additionalProperties: false
            required:
              - deletedRows
            title: deleteTableRowsResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````